using ReactNative.Bridge;
using System;
using System.Collections.Generic;
using Windows.ApplicationModel.Core;
using Windows.UI.Core;

namespace React.Native.Common.Utils.RNReactNativeCommonUtils
{
    /// <summary>
    /// A module that allows JS to share data.
    /// </summary>
    class RNReactNativeCommonUtilsModule : NativeModuleBase
    {
        /// <summary>
        /// Instantiates the <see cref="RNReactNativeCommonUtilsModule"/>.
        /// </summary>
        internal RNReactNativeCommonUtilsModule()
        {

        }

        /// <summary>
        /// The name of the native module.
        /// </summary>
        public override string Name
        {
            get
            {
                return "RNReactNativeCommonUtils";
            }
        }
    }
}
